import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import org.w3c.dom.Document;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

public class PrikladOdeslaniXML extends HttpServlet {

  protected void doPost(HttpServletRequest pozadavek, HttpServletResponse odpoved)
  throws ServletException, IOException {
    
    String xml = ctiXMLZTelaPozadavku(pozadavek);
    Document xmlDok = null;
    try {
      xmlDok =
        DocumentBuilderFactory.newInstance().newDocumentBuilder()
        .parse(new ByteArrayInputStream(xml.getBytes()));
    }
    catch(ParserConfigurationException e) {
      System.out.println("ParserConfigurationException: " + e);
    }
    catch(SAXException e) {
      System.out.println("SAXException: " + e);
    }

    /* Vimnte si, e m implementace Javy W3C DOM stejn metody
    * jako implementace JavaScriptu, nap. getElementsByTagName a
    * getNodeValue.
    */
    NodeList vybraniMazlicci = xmlDok.getElementsByTagName("typ");
    String typ = null;
    String odpovedText = "Vybran mazlci: ";
    for(int i = 0; i < vybraniMazlicci.getLength(); i++) {
      typ = vybraniMazlicci.item(i).getFirstChild().getNodeValue();
      odpovedText = odpovedText + " " + typ;
    }
    odpoved.setContentType("text/xml; charset=utf-8");
    odpoved.getWriter().print(odpovedText);
  }

  private String ctiXMLZTelaPozadavku(HttpServletRequest pozadavek){
    StringBuffer xml = new StringBuffer();
    String radek = null;
    try {
      BufferedReader cteni = pozadavek.getReader();
      while((radek = cteni.readLine()) != null) {
        xml.append(radek);
      }
    }
    catch(Exception e) {
      System.out.println("Chyba pi ten XML: " + e.toString());
    }
    return xml.toString();
  }
}
