import java.io.*;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import javax.servlet.*;
import javax.servlet.http.*;

public class ObnovSeznamModeluServlet extends HttpServlet {

  private static List dostupneModely = new ArrayList();

  protected void zpracujPozadavek(HttpServletRequest pozadavek, 
    HttpServletResponse odpoved)
  throws ServletException, IOException {
    odpoved.setContentType("text/html;charset=UTF-8");

    int rokVyroby = Integer.parseInt(pozadavek.getParameter("rokVyroby"));
    String vyrobce = pozadavek.getParameter("vyrobce");
    
    StringBuffer vysledky = new StringBuffer("<modely>");
    VyrobceModelRok dostupnyModel = null;
    for(Iterator it = dostupneModely.iterator(); it.hasNext();) {
      dostupnyModel = (VyrobceModelRok)it.next();
      if(dostupnyModel.rokVyroby == rokVyroby) {
        if(dostupnyModel.vyrobce.equals(vyrobce)) {
          vysledky.append("<model>");
          vysledky.append(dostupnyModel.model);
          vysledky.append("</model>");
        }
      }
    }
    vysledky.append("</modely>");

    odpoved.setContentType("text/xml");
    odpoved.getWriter().write(vysledky.toString());
  }

  protected void doGet(HttpServletRequest pozadavek, HttpServletResponse odpoved)
  throws ServletException, IOException {
    zpracujPozadavek(pozadavek, odpoved);
  }

  public void init() throws ServletException {
    dostupneModely.add(new VyrobceModelRok(2006, "Dodge", "Charger"));
    dostupneModely.add(new VyrobceModelRok(2006, "Dodge", "Magnum"));
    dostupneModely.add(new VyrobceModelRok(2006, "Dodge", "Ram"));
    dostupneModely.add(new VyrobceModelRok(2006, "Dodge", "Viper"));
    dostupneModely.add(new VyrobceModelRok(1995, "Dodge", "Avenger"));
    dostupneModely.add(new VyrobceModelRok(1995, "Dodge", "Intrepid"));
    dostupneModely.add(new VyrobceModelRok(1995, "Dodge", "Neon"));
    dostupneModely.add(new VyrobceModelRok(1995, "Dodge", "Spirit"));
    dostupneModely.add(new VyrobceModelRok(1985, "Dodge", "Aries"));
    dostupneModely.add(new VyrobceModelRok(1985, "Dodge", "Daytona"));
    dostupneModely.add(new VyrobceModelRok(1985, "Dodge", "Diplomat"));
    dostupneModely.add(new VyrobceModelRok(1985, "Dodge", "Omni"));
    dostupneModely.add(new VyrobceModelRok(1970, "Dodge", "Challenger"));
    dostupneModely.add(new VyrobceModelRok(1970, "Dodge", "Charger"));
    dostupneModely.add(new VyrobceModelRok(1970, "Dodge", "Coronet"));
    dostupneModely.add(new VyrobceModelRok(1970, "Dodge", "Dart"));

    dostupneModely.add(new VyrobceModelRok(2006, "Chevrolet", "Colorado"));
    dostupneModely.add(new VyrobceModelRok(2006, "Chevrolet", "Corvette"));
    dostupneModely.add(new VyrobceModelRok(2006, "Chevrolet", "Equinox"));
    dostupneModely.add(new VyrobceModelRok(2006, "Chevrolet", "Monte Carlo"));
    dostupneModely.add(new VyrobceModelRok(1995, "Chevrolet", "Beretta"));
    dostupneModely.add(new VyrobceModelRok(1995, "Chevrolet", "Camaro"));
    dostupneModely.add(new VyrobceModelRok(1995, "Chevrolet", "Cavalier"));
    dostupneModely.add(new VyrobceModelRok(1995, "Chevrolet", "Lumina"));
    dostupneModely.add(new VyrobceModelRok(1985, "Chevrolet", "Cavalier"));
    dostupneModely.add(new VyrobceModelRok(1985, "Chevrolet", "Chevette"));
    dostupneModely.add(new VyrobceModelRok(1985, "Chevrolet", "Celebrity"));
    dostupneModely.add(new VyrobceModelRok(1985, "Chevrolet", "Citation II"));
    dostupneModely.add(new VyrobceModelRok(1970, "Chevrolet", "Bel Air"));
    dostupneModely.add(new VyrobceModelRok(1970, "Chevrolet", "Caprice"));
    dostupneModely.add(new VyrobceModelRok(1970, "Chevrolet", "Chevelle"));
    dostupneModely.add(new VyrobceModelRok(1970, "Chevrolet", "Monte Carlo"));
  
    dostupneModely.add(new VyrobceModelRok(2006, "Pontiac", "G6"));
    dostupneModely.add(new VyrobceModelRok(2006, "Pontiac", "Grand Prix"));
    dostupneModely.add(new VyrobceModelRok(2006, "Pontiac", "Solstice"));
    dostupneModely.add(new VyrobceModelRok(2006, "Pontiac", "Vibe"));
    dostupneModely.add(new VyrobceModelRok(1995, "Pontiac", "Bonneville"));
    dostupneModely.add(new VyrobceModelRok(1995, "Pontiac", "Grand Am"));
    dostupneModely.add(new VyrobceModelRok(1995, "Pontiac", "Grand Prix"));
    dostupneModely.add(new VyrobceModelRok(1995, "Pontiac", "Firebird"));
    dostupneModely.add(new VyrobceModelRok(1985, "Pontiac", "6000"));
    dostupneModely.add(new VyrobceModelRok(1985, "Pontiac", "Fiero"));
    dostupneModely.add(new VyrobceModelRok(1985, "Pontiac", "Grand Prix"));
    dostupneModely.add(new VyrobceModelRok(1985, "Pontiac", "Parisienne"));
    dostupneModely.add(new VyrobceModelRok(1970, "Pontiac", "Catalina"));
    dostupneModely.add(new VyrobceModelRok(1970, "Pontiac", "GTO"));
    dostupneModely.add(new VyrobceModelRok(1970, "Pontiac", "LeMans"));
    dostupneModely.add(new VyrobceModelRok(1970, "Pontiac", "Tempest"));
  }

  private static class VyrobceModelRok {
    private int rokVyroby;
    private String vyrobce;
    private String model;

    public VyrobceModelRok(int rokVyroby, String vyrobce, String model) {
      this.rokVyroby = rokVyroby;
      this.vyrobce = vyrobce;
      this.model = model;
    }
  }
}
