import java.io.*;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.*;
import javax.servlet.http.*;

public class OknoNapovedyServlet extends HttpServlet {

  private Map hriste = new HashMap();

  public void init(ServletConfig config) throws ServletException {
    DataHriste augusta = new DataHriste(72, 7290);
    DataHriste pinehurst = new DataHriste(70, 7214);
    DataHriste standrews = new DataHriste(72, 6566);
    DataHriste baltusrol = new DataHriste(70, 7392);
    hriste.put(new Integer(1), augusta);
    hriste.put(new Integer(2), pinehurst);
    hriste.put(new Integer(3), standrews);
    hriste.put(new Integer(4), baltusrol);
  }

  /** Zpracuje poadavek odeslan metodou <code>GET</code>.
  * @param pozadavek poadavek
  * @param odpoved odpov
  */
  protected void doGet(HttpServletRequest pozadavek, HttpServletResponse odpoved)
  throws ServletException, IOException {
    Integer klic = Integer.valueOf(pozadavek.getParameter("klic"));
    DataHriste data = (DataHriste) hriste.get(klic);

    PrintWriter vystup = odpoved.getWriter();
    odpoved.setContentType("text/xml");
    odpoved.setHeader("Cache-Control", "no-cache");
    vystup.println("<odpoved>");
    vystup.println("<par>" + data.ziskejPar() + "</par>");
    vystup.println("<delka>" + data.ziskejDelku() + "</delka>");
    vystup.println("</odpoved>");
    vystup.close();
  }

  private class DataHriste {
    private int par;
    private int delka;
    
    public DataHriste(int par, int delka) {
      this.par = par;
      this.delka = delka;
    }

    public int ziskejPar() {
      return this.par;
    }

    public int ziskejDelku() {
      return this.delka;
    }
  }
}
