import java.io.*;
import java.text.ParseException;
import java.text.SimpleDateFormat;

import javax.servlet.*;
import javax.servlet.http.*;

public class OverovaciServlet extends HttpServlet {

  /** Zpracuje poadavek odeslan metodou <code>GET</code>.
   * @param pozadavek poadavek
   * @param odpoved odpov
   */
  protected void doGet(HttpServletRequest pozadavek, HttpServletResponse odpoved)
  throws ServletException, IOException {
    PrintWriter vystup = odpoved.getWriter();
    
    boolean uspech = overDatum(pozadavek.getParameter("datumNaroz"));
    odpoved.setContentType("text/xml; charset=utf-8");
    odpoved.setHeader("Cache-Control", "no-cache");
    String zprava = "Datum nema spravny format.";
    if (uspech) {
      zprava = "Datum ma spravny format.";
    }
    vystup.println("<odpoved>");
    vystup.println("<uspech>" + Boolean.toString(uspech) + "</uspech>");
    vystup.println("<zprava>" + zprava + "</zprava>");
    vystup.println("</odpoved>");
    vystup.close();
  }

  /**
  * Ov, zda je zadan argument platn datum.
  * Hodnota null je povaovna ze neplatn datum. Tato metoda
  * pouv tdu SimpleDateFormat
  * 
  * @param datum etzec reprezentujc datum
  * @return zprva etzec reprezentujc vsledek oven
  */
  private boolean overDatum(String datum) {

    boolean uspech = true;
    if(datum != null) {
      SimpleDateFormat format = new SimpleDateFormat("MM.dd.yyyy");
      try {
        format.parse(datum);
      } catch (ParseException pe) {
        System.out.println(pe.toString());
        uspech = false;
      }
    } else {
      uspech = false;
    }
    return uspech;
  }
}
