import java.io.*;
import java.net.*;
import java.util.Random;

import javax.servlet.*;
import javax.servlet.http.*;

public class SeznamZamestnancuServlet extends HttpServlet {

  protected void pridejZamestnance(HttpServletRequest pozadavek,   
    HttpServletResponse odpoved)
  throws ServletException, IOException {

    //uloen objektu do databze
    String unikatniID = ulozZamestnance();
  
    //vytvoen odpovdi ve form XML
    StringBuffer xml = new StringBuffer("<vysledek><unikatniID>");
    xml.append(unikatniID);
    xml.append("</unikatniID>");
    xml.append("<stav>1</stav>");
    xml.append("</vysledek>");

    //odesln odpovdi prohlei
    odesliOdpoved(odpoved, xml.toString());
  }

  protected void odstranZamestnance(HttpServletRequest pozadavek,    
    HttpServletResponse odpoved)
  throws ServletException, IOException {

    String id = pozadavek.getParameter("id");
    /* Pedpokldme, e bylo provedeno voln, kter zajist 
     * odstrann zamstnance z databze
     */
  
    //vytvoen odpovdi ve form XML
    StringBuffer xml = new StringBuffer("<vysledek>");
    xml.append("<stav>1</stav>");
    xml.append("</vysledek>");

    //odesln odpovdi prohlei
    odesliOdpoved(odpoved, xml.toString());
  }

  protected void doGet(HttpServletRequest pozadavek, HttpServletResponse odpoved)
  throws ServletException, IOException {
    String akce = pozadavek.getParameter("akce");
    if(akce.equals("pridej")) {
      pridejZamestnance(pozadavek, odpoved);
    }
    else if(akce.equals("odstran")) {
      odstranZamestnance(pozadavek, odpoved);
    }
  }

  /* Pedpokldme, e je zamstnanec uloen v databzi a ta
   * vytvo uniktn ID. Toto uniktn ID pak vrate volajcmu.
   * V tomto ppad je uniktn ID vygenerovno.
   */
  private String ulozZamestnance() {
    String unikatniID = "";
    Random randomizer = new Random(System.currentTimeMillis());
    for(int i = 0; i < 8; i++) {
      unikatniID += randomizer.nextInt(9);
    }
    return unikatniID;
  }

  private void odesliOdpoved(HttpServletResponse odpoved, String odpovedText)
  throws IOException {
    odpoved.setContentType("text/xml; charset=utf-8");
    odpoved.getWriter().write(odpovedText);
  }
}
