/**
* @fileoverview Tento soubor je příklad toho, jak může být JSDoc použit pro
* dokumentaci programového kódu v JavaScriptu.
*
* @author Ryan Asleson
* @version 1.0
*/

  /**
* Vytvoření nové třídy Osoba.
* @class Tato třída reprezentuje instanci osoby.
* @constructor
* @param {String} jmeno Jméno osoby.
* @return Nová instance osoby.
*/

function Osoba(jmeno) {
  /**
   * Jméno osoby
   * @type String
   */
  this.jmeno = jmeno;

  /**
   * Vrací jméno osoby. Tato funkce je přiřazena v konstruktoru
   * třídy namísto pomocí klíčového slova prototype.
   * @returns Jméno osoby
   * @type String
   */
  this.ziskejJmeno = function() {
    return jmeno;
  }
}

  /**
* Vytvoření nové třída Zamestnanec.
* @extends Osoba
* @class Tato třída reprezentuje instanci zaměstnance.
* @constructor
* @return Vrací novou instanci zaměstnance.
*/

function Zamestnanec(jmeno, funkce, plat) {
  this.jmeno = jmeno;

  /**
   * Funkce zaměstnance
   * @type String
   */
  this.funkce = funkce;

  /**
   * Plat zaměstnance
   * @type int
   */
  this.plat = plat;
}

/* Zamestnanec extends Osoba */
Zamestnanec.prototype = new Osoba();
  
  /**
* Příklad přiřazení funkce pomocí klíčového slova prototype.
* Tato metoda vrací řetězec představující informace o zaměstnanci.
* @returns Jméno, funkci a plat zaměstnance
* @type String
*/

Zamestnanec.prototype.ziskejPopis = function() {
  return this.jmeno + " - " + this.funkce + " - " + this.plat;
}

